<?php
	/***************************
	Available Variables:
	$model['options'] = array(); // All fields from settings/settings-page.php
	$model = array(
		'is_displet_api',
		'query_url',
		'previous_page_url',
		'next_page_url',
	);
	$model['meta'] = (object)[
		'first',
		'last',
		'count',
		'limit',
		'page',
		'list_price_min',
		'list_price_max',
		'list_price_mean',
		'square_feet_min',
		'square_feet_max',
		'square_feet_mean'
	];
	$model['listings'][$i] = (object)[
		'address',
		'bathrooms',
		'city',
		'full_baths',
		'half_baths',
		'id',
		'image_urls',
		'internet_remarks',
		'latitude',
		'listing_office_name',
		'longitude',
		'mls_number',
		'num_bedrooms',
		'permalink',
		'property_type',
		'square_feet',
		'street_name',
		'street_number',
		'street_post_dir',
		'state',
		'subdivision',
		'zip'
	];
	***************************/
	echo '<!-- Displet Query: ' . $model['query_url'] . ' -->';
?>
<div id="displet-dynamic" class="displet-default-styles displet-<?php echo $model['options']['color_scheme']; ?>-color-scheme">
	<div class="displet-unavailable"></div>
	<div class="displet-orientation">
		<a class="displet-tile-view displet-font-color-current displet-font-color-hover displet-border-color-current displet-border-color-hover<?php if ($model['orientation'] == 'gallery') echo ' current' ?>">Gallery</a>
		<a class="displet-list-view displet-font-color-current displet-font-color-hover displet-border-color-current displet-border-color-hover<?php if ($model['orientation'] == 'list') echo ' current' ?>">List</a>
		<a class="displet-map-view displet-font-color-current displet-font-color-hover displet-border-color-current displet-border-color-hover<?php if ($model['orientation'] == 'map') echo ' current' ?>">Map</a>
		<select class="displet-listings-sortby displet-font-color-light" name="sort_by">
			<?php echo $model['sort_options']; ?>
		</select>
		<div class="displet-clear"><!-- --></div>
	</div>
	<div class="displet-controls">
		<div class="displet-counts displet-font-color-light">
			<span class="displet-first-listings-value displet-font-color-light">
				<?php echo $model['meta']->first; ?>
			</span>
			&ndash;
			<span class="displet-last-listings-value displet-font-color-light">
				<?php echo $model['meta']->last; ?>
			</span>
			of
			<span class="displet-total-listings-value displet-font-color-light">
				<?php echo number_format(intval($model['meta']->count)); ?>
			</span>
		</div>
		<?php if (!empty($model['listings']) && (intval($model['meta']->count) > intval($model['meta']->last) || is_paged())) : ?>
			<a href="<?php echo $model['previous_page_url']; ?>" class="displet-previous-listings-link displet-font-color" displet_query="<?php echo $model['query_url']; ?>">
				<span class="displet-previous-icon displet-font-color">&laquo;</span>
				<span class="displet-previous displet-font-color">Prev</span>
			</a>
			<a href="<?php echo $model['next_page_url']; ?>" class="displet-next-listings-link displet-font-color" displet_query="<?php echo $model['query_url']; ?>">
				<span class="displet-next displet-font-color">Next</span>
				<span class="displet-next-icon displet-font-color">&raquo;</span>
			</a>
		<?php endif; ?>
		<div class="displet-clear"><!-- --></div>
	</div>
	<?php if (!empty($model['results_limit_message'])) : ?>
		<div class="displet-max-results">
			<?php echo $model['results_limit_message']; ?>
		</div>
	<?php endif; ?>
	<div id="displet-listings" class="displet_json_response">
		<?php if (!empty($model['listings'])) : foreach ($model['listings'] as $listing) : ?>
			<a class="displet-tile-listing <?php echo $listing->classes->gallery_view; ?>" href="<?php echo $listing->permalink ?>"<?php if ($model['options']['listings_orientation'] != 'gallery') echo ' style="display: none;"'; ?>>
				<div class="displet-hovertrans"><!-- --></div>
				<div class="displet-tile-thumb-container">
					<div class="displet-image displet-image-value"<?php if ($listing->image_urls->primary_big) echo ' style="background-image: url(' . $listing->image_urls->primary_big . ');"'; ?>>
						<?php if ($listing->image_urls->primary_big) : ?>
							<img src="<?php echo $listing->image_urls->primary_big; ?>">
						<?php endif; ?>
					</div>
					<div class="displet-banner displet-under-contract"<?php if (stripos($listing->status, 'pen') === false && stripos($listing->status, 'und') === false) echo ' style="display:none;"'; ?>>Under Contract</div>
					<div class="displet-banner displet-contingency"<?php if (stripos($listing->status, 'conting') === false) echo ' style="display:none;"'; ?>>Contingency</div>
				</div>
				<div class="displet-tile-price-container">
					<span class="displet-dollar displet-font-color">$</span>
					<span class="displet-price-value displet-font-color">
						<?php echo number_format($listing->list_price); ?>
					</span>
					<div class="displet-clear"><!-- --></div>
				</div>
				<div class="displet-tile-info">
					<div class="displet-tile-address">
						<div class="displet-address displet-address-value displet-font-color-light"<?php if (empty($listing->address)) echo ' style="display: none;"'; ?>>
							<?php echo $listing->address; ?>
						</div>
						<div class="displet-city-state-zip"<?php if (empty($listing->city) && empty($listing->state) && empty($listing->zip)) echo ' style="display: none;"'; ?>>
							<span class="displet-city displet-city-value displet-font-color-light"><?php echo $listing->city; ?></span>,
							<span class="displet-state displet-state-value displet-font-color-light"><?php echo $listing->state; ?></span>
							<span class="displet-zip displet-zip-value displet-font-color-light"><?php echo $listing->zip; ?></span>
						</div>
						<?php if (!empty($model['options']['include_subdivision'])) : ?>
							<div class="displet-subdivision displet-subdivision-value displet-font-color-light"<?php if (empty($listing->subdivision)) echo ' style="display: none;"'; ?>>
								<?php echo $listing->subdivision; ?>
							</div>
						<?php endif; ?>
					</div>
					<div class="displet-tile-specs">
						<div class="displet-beds-baths">
							<span class="displet-beds displet-font-color-light"<?php if (empty($listing->num_bedrooms)) echo ' style="display: none;"'; ?>>
								<span class="displet-beds-value displet-font-color-light">
									<?php echo $listing->num_bedrooms; ?>
								</span>
								Bed /
							</span>
							<span class="displet-baths displet-font-color-light"<?php if (empty($listing->bathrooms)) echo ' style="display: none;"'; ?>>
								<span class="displet-full-baths displet-baths-value displet-font-color-light">
									<?php echo $listing->bathrooms; ?>
								</span>
								Bath
							</span>
						</div>
						<div class="displet-square-feet displet-font-color-light"<?php if (empty($listing->square_feet)) echo ' style="display: none;"'; ?>>
							<span class="displet-square-feet-value displet-font-color-light"><?php echo number_format($listing->square_feet); ?></span>
							Sq. Ft.
						</div>
						<div class="displet-property-type displet-font-color-light"<?php if (empty($listing->property_type)) echo ' style="display: none;"'; ?>>
							Property Type:
							<span class="displet-property-type-value displet-font-color-light"><?php $property_type = str_replace('Houses', 'House', $listing->property_type); echo str_replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt', $property_type); ?></span>
						</div>
						<?php if (!empty($model['options']['include_mls_number'])) : ?>
							<div class="displet-mls displet-font-color-light"<?php if (empty($listing->mls_number)) echo ' style="display: none;"'; ?>>
								MLS&reg; #:
								<span class="displet-mls-value displet-font-color-light">
									<?php echo $listing->mls_number; ?>
								</span>
							</div>
						<?php endif; ?>
						<?php if (!empty($model['options']['include_listing_agent']) || !empty($model['options']['include_listing_office'])) : ?>
							<div class="displet-courtesy displet-font-color-light"<?php if (empty($listing->listing_agent_name) && empty($listing->listing_office_name)) echo ' style="display: none;"'; ?>>
								Courtesy of
								<span class="displet-listing-agent-name-value displet-font-color-light">
									<?php
										if (!empty($listing->listing_agent_name) && !empty($listing->listing_office_name)) $listing->listing_agent_name .= ',';
										echo $listing->listing_agent_name;
									?>
								</span>
								<span class="displet-listing-office-name-value displet-font-color-light">
									<?php echo $listing->listing_office_name; ?>
								</span>
							</div>
						<?php endif; ?>
						<?php if (!empty($model['options']['disclaimer_image']) && !empty($model['options']['include_disclaimer_image'])) : ?>
							<img class="displet-mls-logo" src="<?php echo $model['options']['disclaimer_image']; ?>" />
						<?php endif; ?>
					</div>
				</div>
			</a>
			<a class="displet-vertical-listing <?php echo $listing->classes->list_view; ?>" href="<?php echo $listing->permalink ?>"<?php if ($model['options']['listings_orientation'] != 'list') echo ' style="display: none;"'; ?>>
				<div class="displet-hovertrans"><!-- --></div>
				<div class="displet-listing-thumb-container">
					<div class="displet-image displet-image-value"<?php if ($listing->image_urls->primary_big) echo ' style="background-image: url(' . $listing->image_urls->primary_big . ');"'; ?>>
						<?php if ($listing->image_urls->primary_big) : ?>
							<img src="<?php echo $listing->image_urls->primary_big; ?>">
						<?php endif; ?>
					</div>
					<div class="displet-banner displet-under-contract"<?php if (stripos($listing->status, 'pen') === false && stripos($listing->status, 'und') === false) echo ' style="display:none;"'; ?>>Under Contract</div>
					<div class="displet-banner displet-contingency"<?php if (stripos($listing->status, 'conting') === false) echo ' style="display:none;"'; ?>>Contingency</div>
				</div>
				<div class="displet-listing-info">
					<div class="displet-listing-info-inner">
						<div class="displet-header">
							<div class="displet-listing-price">
								<span class="displet-listing-dollar displet-font-color">$</span>
								<span class="displet-price-value displet-font-color"><?php echo number_format($listing->list_price); ?></span>
							</div>
							<div class="displet-listing-address">
								<span class="displet-address displet-font-color-light"<?php if (empty($listing->address)) echo ' style="display: none;"'; ?>>
									<span class="displet-address-value displet-font-color-light">
										<?php echo $listing->address; ?>
									</span>
									|
								</span>
								<span class="displet-city-state-zip"<?php if (empty($listing->city) && empty($listing->state) && empty($listing->zip)) echo ' style="display: none;"'; ?>>
									<span class="displet-city displet-city-value displet-font-color-light"><?php echo $listing->city; ?></span>,
									<span class="displet-state displet-state-value displet-font-color-light"><?php echo $listing->state; ?></span>
									<span class="displet-zip displet-zip-value displet-font-color-light"><?php echo $listing->zip; ?></span>
								</span>
								<?php if (!empty($model['options']['include_subdivision'])) : ?>
									<div class="displet-subdivision displet-subdivision-value displet-font-color-light"<?php if (empty($listing->subdivision)) echo ' style="display: none;"'; ?>>
										<?php echo $listing->subdivision; ?>
									</div>
								<?php endif; ?>
							</div>
						</div>
						<table class="displet-listing-specs">
							<thead>
								<tr>
									<?php if (!empty($model['options']['include_mls_number'])) : ?>
										<th class="displet-mls displet-font-color-light"<?php if (empty($listing->mls_number)) echo ' style="display: none;"'; ?>>
											MLS&reg; #
										</th>
									<?php endif; ?>
									<th class="displet-property-type displet-font-color-light"<?php if (empty($listing->property_type)) echo ' style="display: none;"'; ?>>
										Property Type
									</th>
									<th class="displet-beds displet-font-color-light"<?php if (empty($listing->num_bedrooms)) echo ' style="display: none;"'; ?>>
										Beds
									</th>
									<th class="displet-baths displet-font-color-light"<?php if (empty($listing->bathrooms)) echo ' style="display: none;"'; ?>>
										Baths
									</th>
									<th class="displet-square-feet displet-font-color-light"<?php if (empty($listing->square_feet)) echo ' style="display: none;"'; ?>>
										Square Ft
									</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<?php if (!empty($model['options']['include_mls_number'])) : ?>
										<td class="displet-mls displet-mls-value displet-font-color-light"<?php if (empty($listing->mls_number)) echo ' style="display: none;"'; ?>>
											<?php echo $listing->mls_number; ?>
										</td>
									<?php endif; ?>
									<td class="displet-property-type displet-property-type-value displet-font-color-light"<?php if (empty($listing->property_type)) echo ' style="display: none;"'; ?>>
										<?php
											$property_type = str_replace('Houses', 'House', $listing->property_type);
											echo str_replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt', $property_type);
										?>
									</td>
									<td class="displet-beds displet-beds-value displet-font-color-light"<?php if (empty($listing->num_bedrooms)) echo ' style="display: none;"'; ?>>
										<?php echo $listing->num_bedrooms; ?>
									</td>
									<td class="displet-baths displet-baths-value displet-font-color-light"<?php if (empty($listing->bathrooms)) echo ' style="display: none;"'; ?>>
										<?php echo $listing->bathrooms; ?>
									</td>
									<td class="displet-square-feet"<?php if (empty($listing->square_feet)) echo ' style="display: none;"'; ?>>
										<span class="displet-square-feet-value displet-font-color-light"><?php echo number_format($listing->square_feet); ?></span>
										s.f.
									</td>
								</tr>
							</tbody>
						</table>
						<?php if (!empty($model['options']['disclaimer_image']) && !empty($model['options']['include_disclaimer_image'])) : ?>
							<img class="displet-mls-logo" src="<?php echo $model['options']['disclaimer_image']; ?>" />
						<?php endif; ?>
						<?php if (!empty($model['options']['include_listing_agent']) || !empty($model['options']['include_listing_office'])) : ?>
							<div class="displet-courtesy displet-font-color-light"<?php if (empty($listing->listing_agent_name) && empty($listing->listing_office_name)) echo ' style="display: none;"'; ?>>
								Courtesy of
								<span class="displet-listing-agent-name-value displet-font-color-light">
									<?php
										echo $listing->listing_agent_name;
									?>
								</span>
								<span class="displet-listing-office-name-value displet-font-color-light">
									<?php echo $listing->listing_office_name; ?>
								</span>
							</div>
						<?php endif; ?>
						<div class="displet-description displet-description-value displet-font-color-light"<?php if (empty($listing->internet_remarks)) echo ' style="display: none;"'; ?>>
							<?php echo $listing->internet_remarks; ?>
						</div>
					</div>
					<div class="displet-clear"><!-- --></div>
				</div>
				<div class="displet-text-overlay"><!-- --></div>
				<div class="displet-text-overlay-hovertrans"><!-- --></div>
				<div class="displet-clear"><!-- --></div>
			</a>
		<?php endforeach; endif; ?>
		<div class="displet-clear"><!-- --></div>
	</div>
	<div class="displet-no-results"<?php if (!empty($model['listings'])) echo ' style="display: none;"'; ?>>No listings available.</div>
	<div id="displet-map"<?php if ($model['orientation'] != 'map') echo ' class="hiding"'; ?>>
		<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
		<div id="map_canvas_outer">
			<div id="map_canvas" style="width: 100%; height: 500px;"><!-- --></div>
		</div>
	</div>
	<div class="displet-controls">
		<div class="displet-counts displet-font-color-light">
			<span class="displet-first-listings-value displet-font-color-light"><?php echo $model['meta']->first ?></span>
			&ndash;
			<span class="displet-last-listings-value displet-font-color-light"><?php echo $model['meta']->last ?></span>
			of
			<span class="displet-total-listings-value displet-font-color-light"><?php echo number_format(intval($model['meta']->count)); ?></span>
		</div>
		<?php if (!empty($model['listings']) && intval($model['meta']->count) > intval($model['meta']->last)) : ?>
			<a href="#prev" class="displet-previous-listings-link displet-font-color-light" displet_query="<?php echo $model['query_url']; ?>">
				<span class="displet-control-prev-icon displet-font-color-light">&laquo;</span>
				<span class="displet-control-prev displet-font-color-light">Prev</span>
			</a>
			<a href="#next" class="displet-next-listings-link displet-font-color-light" displet_query="<?php echo $model['query_url']; ?>">
				<span class="displet-next displet-font-color-light">Next</span>
				<span class="displet-next-icon displet-font-color-light">&raquo;</span>
			</a>
		<?php endif; ?>
		<div class="displet-clear"><!-- --></div>
	</div>
	<div class="displet-powered">
		Powered by
		<?php if ($model['options']['no_link']) : ?>
			Displet Real Estate Search
		<?php else : ?>
			<a href="http://displet.com/wordpress-plugins/displet-rets-idx-plugin/" target="_blank">Displet Real Estate Search</a>
		<?php endif; ?>
	</div>
	<?php if (!$model['is_displet_api']) : ?>
		<div class="displet-free-disclaimer">
			This site is currently using the FREE version of the Displet plugin. For HIGH RES images &amp; up-to-date RETS data, please upgrade.
		</div>
	<?php endif; ?>
	<?php if ($model['options']['disclaimer']) : ?>
		<div class="displet-disclaimer">
			<?php echo $model['options']['disclaimer']; ?>
		</div>
	<?php endif; ?>
	<div class="displet-listings-loading" style="display: none;"><!-- --></div>
</div>